# Elements

### Retrieve Elements of a Template

This endpoint retrieves the elements of a specific template. Using these elements, you can get an idea of what you want to modify in the export to a specific template.

### Request

* Method: GET
* URL: `https://api.thebrief.ai/v1/templates/zdow6r/elements`

### Response

The response is a JSON object with the following schema:

JSON

```json
{
  "type": "object",
  "properties": {
    "response": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "layerType": {
            "type": "string"
          },
          "attributeChangeType": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "slideNumber": {
            "type": "integer"
          },
          "gotoUrl": {
            "type": "string"
          },
        }
      }
    }
  }
}

```

The response body contains an array of elements, where each element object includes the `name`, `layerType`, `attributeChangeType`, `value`, and `slideNumber` properties.

Request example:

```bash
curl --location 'https://api.thebrief.ai/v1/templates/zdow6r/elements' \
--header 'Authorization: Bearer eyJhdXRob3JpemF0aW9uIjoiQmVhcmVyIGV5SmhiR2NpT2lKSVV6STFOaUlzSW5SNWNDSTZJa3BYVkNKOS5leUpwWVhRaU9qRTJPREV4TVRVMU56YzVPRElzSW1Oc2FXVnVkRWxrSWpvaU16QmpaalJsTldRdE1XRmxOQzAwT1RrNExUa3lNV010TVdVMU5qZzJOemd4WW1VeEluMC56WlRDX0ZHZW5FdklRZHhZTlk1cW9OWnlxSEdEOUYtTUtpNm1uV0h6V1NvIiwiYWxnIjoiSFMyNTYifQ.eyJjbGllbnRJZCI6IjZhMzhlYTk3LTEyOWQtNDE3MS04NTljLTU1MzVjOWYzZTRlMSJ9.gWvLWJSqk0bSO78t5xxdYcR08KHAyvQtKCxd0mnlK5U'
```

Response example:

```json
{
    "response": [
        {
            "name": "Image",
            "layerType": "image",
            "attributeChangeType": "SOURCE",
            "value": "ogw3y",
            "slideNumber": 0,
            "gotoUrl": "https://www.google.com"
        },
        {
            "name": "E-mail",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "oliver.jackson@properties.com",
            "slideNumber": 0,
            "gotoUrl": null
        },
        {
            "name": "Tel Number",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "980.930.7825",
            "slideNumber": 0,
            "gotoUrl": null
        },
        {
            "name": "Name",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "Oliver Jackson",
            "slideNumber": 0,
            "gotoUrl": null
        },
        {
            "name": "Headline",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "Buy or sell with confidence",
            "slideNumber": 0,
            "gotoUrl": null
        },
        {
            "name": "Logo",
            "layerType": "svg",
            "attributeChangeType": "SOURCE",
            "value": "qozx",
            "slideNumber": 0,
            "gotoUrl": null
        },
        {
            "name": "Image 1",
            "layerType": "image",
            "attributeChangeType": "SOURCE",
            "value": "ogw3y",
            "slideNumber": 1,
            "gotoUrl": null
        },
        {
            "name": "Headline 1",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "Buy or sell with confidence",
            "slideNumber": 1,
            "gotoUrl": null
        },
        {
            "name": "Logo 1",
            "layerType": "svg",
            "attributeChangeType": "SOURCE",
            "value": "qozx",
            "slideNumber": 1,
            "gotoUrl": null
        },
        {
            "name": "E-mail 1",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "oliver.jackson@properties.com",
            "slideNumber": 1,
            "gotoUrl": null
        },
        {
            "name": "Tel Number 1",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "980.930.7825",
            "slideNumber": 1,
            "gotoUrl": null
        },
        {
            "name": "Name 1",
            "layerType": "text",
            "attributeChangeType": "LABEL",
            "value": "Oliver Jackson",
            "slideNumber": 1,
            "gotoUrl": null
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/templates-designs/elements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
